package com.community.huiju.service;

import com.community.huiju.model.ToBanner;

import java.util.List;

/**
 * @author weichaochao
 * @Title: BannerServiceI
 * @date 2018/10/22
 */
public interface BannerServiceI {

    ToBanner viewBannerImg(Integer bannerId);

    /**
     * 根据 banner位置，小区获取
     * @param bannerPosition
     * @param communityId
     * @return
     */
    List<ToBanner> viewAllBannerImgAndCommunityId(Integer bannerPosition, Integer communityId);

    /**
     * 根据banner位置
     * @param bannerPosition
     * @return
     */
    List<ToBanner> viewAllBannerImg(Integer bannerPosition);
}
